Subject: [PATCH] ARM: omap2plus_defconfig: use CONFIG_CPUFREQ_DT

From: [email-masked] (Tony Lindgren)
Date: Mon, 5 Jan 2015 11:17:45 -0800

* Geert Uytterhoeven <[email-masked]> [141215 02:44]:
> On Fri, Dec 12, 2014 at 6:18 PM, Nishanth Menon <[email-masked]> wrote:
> > CONFIG_GENERIC_CPUFREQ_CPU0 disappeared with commit bbcf071969b20f
> > ("cpufreq: cpu0: rename driver and internals to 'cpufreq_dt'")
> >
> > Use the renamed CONFIG_CPUFREQ_DT generic driver. It looks like with
> > v3.18-rc1, commit bbcf071969b20f and fdc509b15eb3eb came in via
> > different trees causing the resultant v3.18-rc1 to be non-functional for
> > cpufreq as default supported with omap2plus_defconfig.
> >
> > Fixes: fdc509b15eb3eb ("ARM: omap2plus_defconfig: Add cpufreq to defconfig")
> > Signed-off-by: Nishanth Menon <[email-masked]>
> > ---
> >
> > NOTE: as of v3.18 tag, The following still need to be fixed - I do not have all
> > the platforms impacted to make a generic change, so CCying folks who might be interested
> >
> > arch/arm/configs/shmobile_defconfig:CONFIG_GENERIC_CPUFREQ_CPU0=y
> 
> Thanks!
> 
> FTR: this has been fixed in Simon's defconfig-for-v3.20 branch.
> 
> > arch/arm/configs/multi_v7_defconfig:CONFIG_GENERIC_CPUFREQ_CPU0=y

Oops looks like this is still missing from omap2plus_defconfig, so
applying into omap-for-v3.19/fixes.

Regards,

Tony